Name:           angrydd
Version:        1.0.1
Release:        21%{?dist}
Summary:        Falling blocks game

License:        GPLv2
URL:            http://www.sacredchao.net/~piman/angrydd/
Source0:        http://www.sacredchao.net/~piman/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}.png
Source3:        %{name}.desktop
BuildArch:      noarch

BuildRequires:  desktop-file-utils
BuildRequires: /usr/bin/pathfix.py python2-devel
Requires:       python2-pygame hicolor-icon-theme gtk2

%description
In Angry, Drunken Dwarves (ADD), you are an angry, drunken dwarf. Why are you
so angry? Who knows. But you've decided to take your aggression out on other
dwarves, by dropping gems on their heads. Lots of gems. ADD is a member of the
classic "falling blocks" puzzle game family, similar to the Capcom game Puzzle
Fighter. The goal of the game is to build large gems by matching up colors,
then break them, raining more gems down onto your opponent. The first person
whose field fills up, loses.

%prep
pathfix.py -pni "%{__python2} %{py2_shbang_opts}" .
%setup -q

sed -i 's|PREFIX ?= /usr/local|PREFIX ?= %{_prefix}|' Makefile
sed -i 's|TO = share/games/angrydd|TO = share/angrydd|' Makefile
sed -i 's|install -m 644|install -p -m 644|' Makefile
sed -i 's|cp -R|cp -Rp|' Makefile
sed -i 's|install -d $(DESTDIR)$(PREFIX)/games|install -d $(DESTDIR)%{_bindir}|' Makefile
sed -i 's|ln -sf ../$(TO)/angrydd.py $(DESTDIR)$(PREFIX)/games/angrydd|ln -sf ../$(TO)/angrydd.py $(DESTDIR)%{_bindir}/angrydd|' Makefile


%build
#there's nothing to build


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps/

desktop-file-install                    \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications           \
  %{SOURCE3}

pathfix.py -pni "%{__python2} %{py2_shbang_opts}" $RPM_BUILD_ROOT%{_datadir}/%{name}/angrydd.py

%files
%doc COPYING README TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man*/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png


%changelog
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Sep 10 2018 Gwyn Ciesla <limburgher@gmail.com> - 1.0.1-20
- Fix shebangs.

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Jan 07 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.1-17
- Remove obsolete scriptlets

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Feb 09 2013 Jon Ciesla <limburgher@gmail.com> - 1.0.1-10
- Drop desktop vendor tag.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jun 22 2011 Jon Ciesla <limb@jcomserv.net> - 1.0.1-7
- Explicitly require gtk2 for gtk-update-icon-cache, BZ 715424.

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Aug 19 2007 Rafał Psota <rafalzaq@gmail.com> 1.0.1-3
- License tag update
* Sun Jul 15 2007 Rafał Psota <rafalzaq@gmail.com> 1.0.1-2
- fixed typo in .desktop
* Sun May 27 2007 Rafał Psota <rafalzaq@gmail.com> 1.0.1-1
- initial Fedora package
